# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Engagement

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.analytics.Engagement

All Implemented Interfaces:
  Extension

    public class Engagement

extends ExtensionPoint

Engagement goal.

Nested Class Summary
`static class` `Engagement.Comparison` Engagement goal's comparison operation.
`static class` `Engagement.Type` Goal's threshold type.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Engagement()` Default mutable constructor.
`Engagement(java.lang.String comparison, java.lang.Long thresholdValue, java.lang.String type)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getComparison()` Returns the engagement goal's comparison operation.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.Long` `getThresholdValue()` Returns the threshold value.
`java.lang.String` `getType()` Returns the goal's threshold type.
`boolean` `hasComparison()` Returns whether it has the engagement goal's comparison operation.
`int` `hashCode()`
`boolean` `hasThresholdValue()` Returns whether it has the threshold value.
`boolean` `hasType()` Returns whether it has the goal's threshold type.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setComparison(java.lang.String comparison)` Sets the engagement goal's comparison operation.
`void` `setThresholdValue(java.lang.Long thresholdValue)` Sets the threshold value.
`void` `setType(java.lang.String type)` Sets the goal's threshold type.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Engagement

    public Engagement()

  Default mutable constructor.

### Engagement

    public Engagement(java.lang.String comparison,
                      java.lang.Long thresholdValue,
                      java.lang.String type)

  Immutable constructor.

  Parameters:
    `comparison` - engagement goal's comparison operation.
    `thresholdValue` - threshold value.
    `type` - goal's threshold type.

Method Detail

### getComparison

    public java.lang.String getComparison()

  Returns the engagement goal's comparison operation.

  Returns:
    engagement goal's comparison operation

### setComparison

    public void setComparison(java.lang.String comparison)

  Sets the engagement goal's comparison operation.

  Parameters:
    `comparison` - engagement goal's comparison operation or `null` to reset

### hasComparison

    public boolean hasComparison()

  Returns whether it has the engagement goal's comparison operation.

  Returns:
    whether it has the engagement goal's comparison operation

### getThresholdValue

    public java.lang.Long getThresholdValue()

  Returns the threshold value.

  Returns:
    threshold value

### setThresholdValue

    public void setThresholdValue(java.lang.Long thresholdValue)

  Sets the threshold value.

  Parameters:
    `thresholdValue` - threshold value or `null` to reset

### hasThresholdValue

    public boolean hasThresholdValue()

  Returns whether it has the threshold value.

  Returns:
    whether it has the threshold value

### getType

    public java.lang.String getType()

  Returns the goal's threshold type.

  Returns:
    goal's threshold type

### setType

    public void setType(java.lang.String type)

  Sets the goal's threshold type.

  Parameters:
    `type` - goal's threshold type or `null` to reset

### hasType

    public boolean hasType()

  Returns whether it has the goal's threshold type.

  Returns:
    whether it has the goal's threshold type

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`